#include <bits/stdc++.h>
using namespace std;
long long x1,y1,x2,y2;
int main(){
    cin>>x1>>y1>>x2>>y2;
if(x1!=x2 and y1==y2 or x1==x2 and y1!=y2)cout<<2<<endl;
    else if(abs(x1-x2) != abs(y1-y2)) cout<<0<<endl;
    if(abs(x1-x2)==abs(y1-y2))  cout<<1<<endl;
    return 0;
}